> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新工作流

> 更新工作流的名稱、觸發器、步驟或啓用狀態。

## 身份驗證

需要具有 `tools` 權限範圍的 Bearer 令牌。參見[身份驗證](/api-reference/authentication)。

## 路徑參數

<ParamField path="id" type="string" required>
  該工作流的 UUID。
</ParamField>

## 請求

所有字段均為可選 — 只需包含需要修改的部分。

<ParamField body="name" type="string">
  工作流的顯示名稱。
</ParamField>

<ParamField body="triggerType" type="string">
  工作流的觸發方式（例如 `manual`、`schedule`、`event`）。
</ParamField>

<ParamField body="triggerConfig" type="object">
  觸發器配置（調度表達式、事件模式等）。
</ParamField>

<ParamField body="steps" type="array">
  工作流步驟的有序列表。
</ParamField>

<ParamField body="enabled" type="boolean">
  啓用或禁用該工作流。
</ParamField>

## 響應

<ResponseField name="workflow" type="object">
  更新後的工作流對象。
</ResponseField>

## 示例

```bash curl theme={null}
curl -X PATCH https://www.hitheo.ai/api/v1/workflows/wf_abc123 \
  -H "Authorization: Bearer $THEO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "enabled": false }'
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.